Exit (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Exit class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Exit

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Exit

public class Exit
extends Task

Exits the active build, giving an additional message if available.

Since:
  Ant 1.2
Author:
  Nico Seessle

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Exit()`

Method Summary
`void` | `addText(java.lang.String msg)` Set a multiline message.
`void` | `execute()` Called by the project to let the task do its work.
`void` | `setIf(java.lang.String c)` Only fail if a property of the given name exists in the current project.
`void` | `setMessage(java.lang.String value)` A message giving further information on why the build exited.
`void` | `setUnless(java.lang.String c)` Only fail if a property of the given name does not exist in the current project.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Exit

    public Exit()

Method Detail

### setMessage

    public void setMessage(java.lang.String value)

  A message giving further information on why the build exited.

  Parameters:
    `value` - message to output

### setIf

    public void setIf(java.lang.String c)

  Only fail if a property of the given name exists in the current project.

  Parameters:
    `c` - property name

### setUnless

    public void setUnless(java.lang.String c)

  Only fail if a property of the given name does not exist in the current project.

  Parameters:
    `c` - property name

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### addText

    public void addText(java.lang.String msg)

  Set a multiline message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.